C-{{{ subroutine citeinit:

      subroutine citeinit()
c..   
c..   initialize citations list
c..      
      integer i
      include 'commons/common-citations.f'

      do i=1,100
         citations(i) = 0
      enddo

      end

C-}}}
C-{{{ subroutine printcite:

      subroutine printcite(unit,key,instring)
c..
c..   print texkeys of all papers used
c..   
      integer i,unit,key
      include 'commons/common-citations.f'
      character(*) instring
      character*20 refs,string
      character*100 reflist

      do i=1,100
         if (citations(i).eq.key) then
            write(unit,101) instring,refs(i)
         endif
      enddo

 101  format(2a)

      end

C-}}}
C-{{{ function refs:

      character*20 function refs(entry)
c..
c..   define citations list
c..
      integer entry
      character*20 references(100)

      do i=1,100
         references(i) = ''
      enddo

      references(1) = 'Harlander:2012pb' !SusHi
      references(2) = 'Harlander:2002wh' !ggh@nnlo
      references(3) = 'Harlander:2003bb' !evalcsusy
      references(4) = 'Harlander:2004tp' !evalcsusy
      references(5) = 'Harlander:2003kf' !evalcsusy
      references(6) = 'Harlander:2005if' !evalcsusy pseudo
      references(7) = 'Harlander:2010wr' !bottom/sbottom
      references(8) = 'Harlander:2003ai' !bbh@nnlo
      references(9) = 'Harlander:2010cz' !bbh diff.
      references(10) = 'Actis:2008ug' !SM EW factor
      references(11) = 'Aglietti:2004nj' !EW factor lq
      references(12) = 'Bonciani:2010ms' !EW factor lq
      references(13) = 'Degrassi:2010eu' !SUSY cont.
      references(14) = 'Degrassi:2011vq' !SUSY cont.
      references(15) = 'Degrassi:2012vt' !SUSY cont.
      references(16) = 'Heinemeyer:1998yj' !FeynHiggs
      references(17) = 'Heinemeyer:1998np' !FeynHiggs
      references(18) = 'Degrassi:2002fi' !FeynHiggs
      references(19) = 'Frank:2006yh' !FeynHiggs
      references(20) = 'Djouadi:1991tka' !NLO gluon fusion
      references(21) = 'Spira:1995rr' !NLO gluon fusion
      references(22) = 'Dawson:1990zj' !NLO gluon fusion
      references(23) = 'Anastasiou:2002yz' !NNLO gluon fusion
      references(24) = 'Ravindran:2003um' !NNLO gluon fusion
      references(25) = 'Eriksson:2009ws' !2HDMC
      references(26) = 'Harlander:2005rq' !Harlander/Kant
c$$$      references() = 

      refs = references(entry)

      end

C-}}}
